<table>
    <thead>
        <tr>
            <th>Command</th>
            <th>Description</th>
        </tr>
    </thead>

    <tbody>
        <tr>
            <td><a href='/posts/query=Haruhi'><code>Haruhi</code></a></td>
            <td>containing tag “Haruhi”</td>
        </tr>
        <tr>
            <td><a href='/posts/query=-Kyon'><code>-Kyon</code></a></td>
            <td>not containing tag “Kyon”</td>
        </tr>
        <tr>
            <td><a href='/posts/query=uploader:David'><code>uploader:David</code></a></td>
            <td>uploaded by user David</td>
        </tr>
        <tr>
            <td><a href='/posts/query=comment:David'><code>comment:David</code></a></td>
            <td>commented by David</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav:David'><code>fav:David</code></a></td>
            <td>favorited by David</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav_count:4'><code>fav_count:4</code></a></td>
            <td>favorited by exactly four users</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav_count:4,5'><code>fav_count:4,5</code></a></td>
            <td>favorited by four or five users</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav_count:4..'><code>fav_count:4..</code></a></td>
            <td>favorited by at least four users</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav_count:..4'><code>fav_count:..4</code></a></td>
            <td>favorited by at most four users</td>
        </tr>
        <tr>
            <td><a href='/posts/query=fav_count:4..6'><code>fav_count:4..6</code></a></td>
            <td>favorited by at least four, but no more than six users</td>
        </tr>
        <tr>
            <td><a href='/posts/query=comment_count:3'><code>comment_count:3</code></a></td>
            <td>having exactly three comments</td>
        </tr>
        <tr>
            <td><a href='/posts/query=score:4'><code>score:4</code></a></td>
            <td>having score of 4</td>
        </tr>
        <tr>
            <td><a href='/posts/query=tag_count:7'><code>tag_count:7</code></a></td>
            <td>tagged with exactly seven tags</td>
        </tr>
        <tr>
            <td><a href='/posts/query=note_count:1..'><code>note_count:1..</code></a></td>
            <td>having at least one post note</td>
        </tr>
        <tr>
            <td><a href='/posts/query=feature_count:1..'><code>feature_count:1..</code></a></td>
            <td>having been featured at least once</td>
        </tr>
        <tr>
            <td><a href='/posts/query=date:today'><code>date:today</code></a></td>
            <td>posted today</td>
        </tr>
        <tr>
            <td><a href='/posts/query=date:yesterday'><code>date:yesterday</code></a></td>
            <td>posted yesterday</td>
        </tr>
        <tr>
            <td><a href='/posts/query=date:2000'><code>date:2000</code></a></td>
            <td>posted in year 2000</td>
        </tr>
        <tr>
            <td><a href='/posts/query=date:2000-01'><code>date:2000-01</code></a></td>
            <td>posted in January, 2000</td>
        </tr>
        <tr>
            <td><a href='/posts/query=date:2000-01-01'><code>date:2000-01-01</code></a></td>
            <td>posted on January 1st, 2000</td>
        </tr>
        <tr>
            <td><a href='/posts/query=id:1'><code>id:1</code></a></td>
            <td>having specific post ID</td>
        </tr>
        <tr>
            <td><a href='/posts/query=name:hash'><code>name:<em>hash</em></code></a></td>
            <td>having specific post name (hash in full URLs)</td>
        </tr>
        <tr>
            <td><a href='/posts/query=file_size:100..'><code>file_size:100..</code></a></td>
            <td>having at least 100 bytes</td>
        </tr>
        <tr>
            <td><a href='/posts/query=image_width:100..'><code>image_width:100..</code></a></td>
            <td>being at least 100 pixels wide</td>
        </tr>
        <tr>
            <td><a href='/posts/query=image_height:100..'><code>image_height:100..</code></a></td>
            <td>being at least 100 pixels tall</td>
        </tr>
        <tr>
            <td><a href='/posts/query=image_area:10000..'><code>image_area:10000..</code></a></td>
            <td>having at least 10000 pixels</td>
        </tr>
        <tr>
            <td><a href='/posts/query=type:image'><code>type:image</code></a></td>
            <td>only image posts</td>
        </tr>
        <tr>
            <td><a href='/posts/query=type:flash'><code>type:flash</code></a></td>
            <td>only Flash posts</td>
        </tr>
        <tr>
            <td><a href='/posts/query=type:youtube'><code>type:youtube</code></a></td>
            <td>only Youtube posts</td>
        </tr>
        <tr>
            <td><a href='/posts/query=type:video'><code>type:video</code></a></td>
            <td>only video posts</td>
        </tr>
        <tr>
            <td><a href='/posts/query=special:liked'><code>special:liked</code></a></td>
            <td>posts liked by currently logged in user</td>
        </tr>
        <tr>
            <td><a href='/posts/query=special:disliked'><code>special:disliked</code></a></td>
            <td>posts disliked by currently logged in user</td>
        </tr>
        <tr>
            <td><a href='/posts/query=special:fav'><code>special:fav</code></a></td>
            <td>posts added to favorites by currently logged in user</td>
        </tr>
        <tr>
            <td><a href='/posts/query=special:tumbleweed'><code>special:tumbleweed</code></a></td>
            <td>posts with score of 0, without comments and without favorites</td>
        </tr>
    </tbody>
</table>

<p>Most of the commands support ranged and composites values, e.g.
<code>id:<em>number</em></code> operator supports respectively
<a href='/posts/query=id:5..7'><code>id:5..7</code></a> and
<a href='/posts/query=id:5,10,15'><code>id:5,10,15</code></a>.
You can combine tags and negate any of them for interesting results.
<a href='/posts/query=sea -fav_count:..8 type:flash uploader:Pirate'><code>sea -fav_count:8.. type:swf uploader:Pirate</code></a>
will show you flash files tagged as sea, that were liked by seven people at
most, uploaded by user Pirate.</p>

<p>All of the above can be sorted using additional tag in form of
<code>order:<em>keyword</em></code>:</p>

<table>
    <thead>
        <tr>
            <th>Command</th>
            <th>Description</th>
        </tr>
    </thead>

    <tbody>
    <tr>
        <td><a href='/posts/query=order:random'><code>order:random</code></a></td>
        <td>as random as it can get</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:id'><code>order:id</code></a></td>
        <td>highest to lowest post ID (default browse view)</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:creation_date'><code>order:creation_date</code></a></td>
        <td>newest to oldest (pretty much same as above)</td>
    </tr>

    <tr>
        <td><a href='/posts/query=-order:creation_date'><code>-order:creation_date</code></a></td>
        <td>oldest to newest</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:creation_date,asc'><code>order:creation_date,asc</code></a></td>
        <td>oldest to newest (ascending order, default = descending)</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:edit_date'><code>order:edit_date</code></a></td>
        <td>like <code>creation_date</code>, only looks at last edit time</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:score'><code>order:score</code></a></td>
        <td>highest scored</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:file_size'><code>order:file_size</code></a></td>
        <td>largest files first</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:image_width'><code>order:image_width</code></a></td>
        <td>widest images first</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:image_height'><code>order:image_height</code></a></td>
        <td>tallest images first</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:image_area'><code>order:image_area</code></a></td>
        <td>largest images first</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:tag_count'><code>order:tag_count</code></a></td>
        <td>with most tags</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:fav_count'><code>order:fav_count</code></a></td>
        <td>loved by most</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:comment_count'><code>order:comment_count</code></a></td>
        <td>most commented first</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:fav_date'><code>order:fav_date</code></a></td>
        <td>recently added to favorites</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:comment_date'><code>order:comment_date</code></a></td>
        <td>recently commented</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:feature_date'><code>order:feature_date</code></a></td>
        <td>recently featured</td>
    </tr>

    <tr>
        <td><a href='/posts/query=order:feature_count'><code>order:feature_count</code></a></td>
        <td>most often featured</td>
    </tr>
    </tbody>
</table>

<p>As shown with <a
href='/posts/query=-order:creation_date'><code>-order:creation_date</code></a>,
any of them can be reversed in the same way as negating other tags: by placing
a dash before the tag.</p>
